ReferenceAPIsOry Hydra APIoAuth2
List OAuth 2.0 Consent Sessions of a Subject
This endpoint lists all subject's granted consent sessions, including client and granted scope.
GET /admin/oauth2/auth/sessions/consent
This endpoint lists all subject's granted consent sessions, including client and granted scope. If the subject is unknown or has not granted any consent sessions yet, the endpoint returns an empty JSON array with status code 200 OK.
Operation ID: listOAuth2ConsentSessions Tag: oAuth2
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
page_size | integer (int64) | no | Items per Page This is the number of items per page to return. For details on pagination please head over to the pagination documentation. |
page_token | string | no | Next Page Token The next page token. For details on pagination please head over to the pagination documentation. |
subject | string | yes | The subject to list the consent sessions for. |
login_session_id | string | no | The login session id to list the consent sessions for. |
Responses
| Status | Description | Body |
|---|---|---|
| 200 | oAuth2ConsentSessions | application/json, array of object |
| default | errorOAuth2 | application/json, object |
Generated from ../athena/openapi.json at build time.
Reject OAuth 2.0 Session Logout Request
When a user or an application requests Ory OAuth 2.0 to remove the session state of a subject, this endpoint is used to deny that logout request.
Revoke OAuth 2.0 Consent Sessions of a Subject
This endpoint revokes a subject's granted consent sessions and invalidates all